Skip to main content
GET
/
functions
cURL
curl --request GET \
  --url https://api.cradl.ai/{basePath}/functions \
  --header 'Authorization: Bearer <token>'
{
  "functions": [
    {
      "updatedTime": "<string>",
      "metadata": {},
      "updatedBy": "<string>",
      "description": "<string>",
      "functionId": "<string>",
      "createdBy": "<string>",
      "name": "<string>",
      "createdTime": "<string>",
      "managedCodeId": "<string>",
      "runtime": "python",
      "organizationId": "<string>",
      "fileUrl": "<string>",
      "id": "<string>"
    }
  ],
  "nextToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

owner
string
nextToken
string
maxResults
string
sortBy
string
order
string

Response

200 response

functions
object[]
required
nextToken
string | null
required
Maximum string length: 4096